Soporte GD en PHP para evitar errores recortando imágenes en WordPress

En blogs de WordPress autoalojados puede darse un error bastante común a la hora de manipular imágenes subidas a la plataforma, por ejemplo al recortar una imagen cuando queremos adaptarla para una cabecera o una determinada sección:

Si administras el servidor puedes estar tranquilo, ya que la solución basta por habilitar el soporte GD en PHP para poder manipular imágenes dinámicamente. Si hemos compilado desde código fuente, nos tocará recompilar incluyendo la opción --with-gd cuando generemos nuestro fichero configure:

--with-gd

Si hemos instalado PHP desde un gestor de paquetes nos podemos ahorrar algo de tiempo:

# Debian y derivadas (Ubuntu...)
apt-get install php5-gd
# RHEL y derivadas (CentOS, Fedora...)
yum install php-gd

Podemos comprobar si nuestro PHP tiene soporte GD con:

php5 -i | grep “GD Support”

Si tenemos soporte veremos lo siguiente:

GD Support => enabled

Tras la instalación, reiniciamos Apache:

# Debian y derivadas
service apache2 restart
# RHEL y derivadas
service httpd restart

Después podemos entrar de nuevo en nuestra biblioteca de medios de WordPress y probar a recortar imágenes sin ningún problema.